#
%bcond_with	pulseaudio
#
Summary:	Software defined radio receiver powered by GNU Radio and Qt
Name:		gqrx
Version:	2.11.5
Release:	3
License:	GPL v3+
Group:		Applications/Engineering
Source0:	https://github.com/csete/gqrx/releases/download/v%{version}/%{name}-sdr-%{version}-src.tar.xz
# Source0-md5:	fed4994d5c04daf70cb19e2393da7a04
URL:		http://gqrx.dk/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	boost-devel
BuildRequires:	gnuradio-devel >= 3.7
BuildRequires:	gr-osmosdr-devel
%if %{with pulseaudio}
BuildRequires:	pulseaudio-devel
%else
BuildRequires:	portaudio-devel
%endif
BuildRequires:	qt5-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%setup -q -n %{name}-sdr-%{version}

%build
install -d build
cd build
qmake-qt5 \
	PREFIX=%{_prefix} \
	AUDIO_BACKEND=%{?with_pulseaudio:pulse}%{!?with_pulseaudio:portaudio} \
	../gqrx.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gqrx
%changelog
* Fri Oct 11 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gqrx.git;a=log;h=master

* Fri Oct 11 2019 Adam Gołębiowski <adamg@pld-linux.org> dd2a126
- release 3, rebuild against boost-1.71

* Mon Apr 22 2019 Jan Rękorajski <baggins@pld-linux.org> 5bbce23
- release 2 (by relup.sh)

* Sat Mar 30 2019 Jan Rękorajski <baggins@pld-linux.org> d2df52f
- up to 2.11.5

* Mon Apr 10 2017 Jan Rękorajski <baggins@pld-linux.org> 56e9d6a
- rebuild with boost 1.63.0
- release 4 (by relup.sh)

* Thu May 26 2016 Jan Rękorajski <baggins@pld-linux.org> cf7f12b
- rebuild with boost 1.61
- release 3 (by relup.sh)

* Sun Nov 15 2015 Jan Rękorajski <baggins@pld-linux.org> 64c038f
- release 2 (by relup.sh)

* Sat Jun 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dd32e5b
- up to 2.3.2

* Fri Jun 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e7b196f
- up to 2.3.0

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> 787f12f
- rebuild with boost 1.57.0
- release 7 (by relup.sh)

* Tue Oct 28 2014 Jan Rękorajski <baggins@pld-linux.org> 91afc27
- release 6 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 93c7c45
- rebuild with boost 1.56.0
- release 5 (by relup.sh)

* Sat Mar 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 11dfa3a
- rel 4; disable pulseaudio by default

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> a9c5f3d
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> f277f3d
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sat Jan 11 2014 Elan Ruusamäe <glen@delfi.ee> cba1a37
- unify order

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 195207e
- rel 1

* Sat Jan 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c111117
- unfinished

